# OpalMediaOptionNumericalValue< T > Class Template Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalMediaOptionNumericalValue< T >:

[legend]
Collaboration diagram for OpalMediaOptionNumericalValue< T >:
[legend]

## Public Member Functions

| OpalMediaOptionNumericalValue (const char *name, bool readOnly, OpalMediaOption::MergeType merge=OpalMediaOption::MinMerge, T value=0, T minimum=std::numeric_limits< T >::min(), T maximum=std::numeric_limits< T >::max())
virtual PObject * | Clone () const
virtual void | ReadFrom (istream &strm)
void | SetValue (T value)
void | SetMinimum (T m)
void | SetMaximum (T m)

## Protected Attributes

T | m_minimum
T | m_maximum

### template<typename T>
class OpalMediaOptionNumericalValue< T >

## Constructor & Destructor Documentation

template<typename T>

OpalMediaOptionNumericalValue< T >::OpalMediaOptionNumericalValue | ( | const char * | name,
|  | bool | readOnly,
|  | OpalMediaOption::MergeType | merge = `OpalMediaOption::MinMerge`,
|  | T | value = `0`,
|  | T | minimum = `std::numeric_limits<T>::min()`,
|  | T | maximum = `std::numeric_limits<T>::max()` |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename T>

virtual PObject* OpalMediaOptionNumericalValue< T >::Clone | ( |  | ) | const`[inline, virtual]`

Reimplemented from OpalMediaOptionValue< T >.

template<typename T>

virtual void OpalMediaOptionNumericalValue< T >::ReadFrom | ( | istream & | strm | ) | `[inline, virtual]`

Reimplemented from OpalMediaOptionValue< T >.

template<typename T>

void OpalMediaOptionNumericalValue< T >::SetMaximum | ( | T | m | ) | `[inline]`

template<typename T>

void OpalMediaOptionNumericalValue< T >::SetMinimum | ( | T | m | ) | `[inline]`

template<typename T>

void OpalMediaOptionNumericalValue< T >::SetValue | ( | T | value | ) | `[inline]`

Reimplemented from OpalMediaOptionValue< T >.

## Field Documentation

template<typename T>

T OpalMediaOptionNumericalValue< T >::m_maximum `[protected]`

template<typename T>

T OpalMediaOptionNumericalValue< T >::m_minimum `[protected]`

The documentation for this class was generated from the following file:

- mediafmt.h